#-------------------------------------------------------------------------------
import pygame
import bitmaps
import config

#-------------------------------------------------------------------------------
class StringCounter( pygame.sprite.Sprite ):
    #---------------------------------------------------------------------------
    def __init__( self ):
        pygame.sprite.Sprite.__init__( self )

        self.image = pygame.Surface((96,128)).convert()

        objects = bitmaps.get( 'obj01' )

        self.image.fill( config.COLOR_KEY )
        dst = (0,0,96,96)
        src = (1*32,1*32,96,96)
        self.image.blit( objects, dst, src )
        self.image.set_colorkey( config.COLOR_KEY )

        self.rect = self.image.get_rect().move( 0, 32 )

        self.writeNumber( 321 )

    #---------------------------------------------------------------------------
    def writeNumber( self, number ):
        if number < 0:
            number = 0
        if number > 999:
            number = 999

        objects = bitmaps.get( 'obj01' )

        dst = (0,96,96,32)
        self.image.fill( config.COLOR_KEY, dst )

        for i in range(0,3):
            digit = (number%10)
            number = number / 10
            dst = ( 64 - i*32, 96, 32, 32 )
            src = ( digit*32, 4*32, 32, 32 )
            self.image.blit( objects, dst, src )

#-------------------------------------------------------------------------------
class LifeCounter( pygame.sprite.Sprite ):
    #---------------------------------------------------------------------------
    def __init__( self, lifes ):
        pygame.sprite.Sprite.__init__( self )
        
        self.image = pygame.Surface((96,32*(lifes/3))).convert()

        self.image.fill( config.COLOR_KEY )
        self.image.set_colorkey( config.COLOR_KEY )
        
        self.rect = self.image.get_rect().move( 0, 224 )

        self.max_lifes = lifes
        self.lifes = lifes
        
        self.setLifes( lifes )

    #---------------------------------------------------------------------------
    def setLifes( self, lifes ):
        if lifes < 0:
            lifes = 0
        if lifes > self.max_lifes:
            lifes = self.max_lifes

        self.lifes = lifes

        self.image.fill( config.COLOR_KEY )
        objects = bitmaps.get( 'obj01' )
        for i in range(0,self.max_lifes):
            if i < self.lifes:
                src = ( 0, 32, 32, 32 )
            else:
                src = ( 0, 64, 32, 32 )
                
            dst = ( 32*(i%3), 32*(i/3), 32, 32 )

            self.image.blit( objects, dst, src )

#-------------------------------------------------------------------------------
