#-------------------------------------------------------------------------------
import pygame
import data
import debug

#-------------------------------------------------------------------------------
PLAYER_DIE = 0
HOOK_LAUNCH = 1
HOOK_STRIKE = 2
BOX_DROP = 3
CHIMES = 4
END = 5
SWING = 6

m_table = [ 
    "mus/fx01.ogg", 
    "mus/fx02.ogg",
    "mus/fx03.ogg",
    "mus/fx04.ogg",
    "mus/fx05.ogg",
    "mus/fx06.ogg",
    "mus/fx07.ogg"
    ]

#-------------------------------------------------------------------------------
m_enable = True
#m_enable = False

#-------------------------------------------------------------------------------
class JukeBox:
    #---------------------------------------------------------------------------
    def init( self ):
        self.volume = pygame.mixer.music.get_volume() / 2.0
        self.effects = []
        for e in m_table:
            self.effects.append( pygame.mixer.Sound( data.filepath( e ) ) )

    #---------------------------------------------------------------------------
    def play( self, file ):
        pygame.mixer.music.load( data.filepath( file ) )
        pygame.mixer.music.play( -1 )
        pygame.mixer.music.set_volume( self.volume )

    #---------------------------------------------------------------------------
    def stop( self ):
        pygame.mixer.music.stop()

    #---------------------------------------------------------------------------
    def playFX( self, effect ):
        self.effects[ effect ].play()

#-------------------------------------------------------------------------------
def init():
    m_jukeBox.init()

#-------------------------------------------------------------------------------
def play( file ):
    if not m_enable:
        return

    debug.printMsg( "playing main song: " + file )
    m_jukeBox.play( file )

#-------------------------------------------------------------------------------
def stop():
    if not m_enable:
        return
    
    m_jukeBox.stop()

#-------------------------------------------------------------------------------
def playFX( effect ):
    if not m_enable:
        return

    m_jukeBox.playFX( effect )
    
#-------------------------------------------------------------------------------
m_jukeBox = JukeBox()

#-------------------------------------------------------------------------------

